Bug 320579 - Crash during input in destructor ~KMyMoneyCategory
Summary: Crash during input in destructor ~KMyMoneyCategory
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6.3
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-01 18:58 UTC by M G Berberich
Modified: 2013-08-27 07:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description M G Berberich 2013-06-01 18:58:38 UTC
#14 0x00000000006e2039 in KMyMoneyCategory::~KMyMoneyCategory (this=0x71095b0, __in_chrg=<optimized out>) at /build/kmymoney-U7d_Bl/kmymoney-4.6.3/kmymoney/widgets/kmymoneycategory.cpp:106

Reproducible: Sometimes
Comment 1 Jekyll Wu 2013-06-03 10:48:51 UTC
Could you paste the full backtrace to provide more context ?
Comment 2 Cristian Oneț 2013-08-27 07:23:52 UTC
Git commit ea6b2b13886afa30d2b402627ef8e6b374216338 by Cristian Oneț.
Committed on 27/08/2013 at 06:25.
Pushed by conet into branch 'master'.

KMyMoneyCompletion should now work properly using input methods.

Remove previous workarounds that were added to hide this problem.
Related: bug 272631, bug 272393

M  +1    -9    kmymoney/converter/mymoneystatementreader.cpp
M  +4    -6    kmymoney/widgets/kmymoneycompletion.cpp
M  +0    -9    kmymoney/widgets/kmymoneyselector.cpp

http://commits.kde.org/kmymoney/ea6b2b13886afa30d2b402627ef8e6b374216338
Comment 3 Cristian Oneț 2013-08-27 07:37:55 UTC
Git commit 9ab659c6878798b27572afb8c209c7498ccc9261 by Cristian Oneț.
Committed on 27/08/2013 at 06:25.
Pushed by conet into branch '4.6'.

KMyMoneyCompletion should now work properly using input methods.

Remove previous workarounds that were added to hide this problem.
Related: bug 272631, bug 272393
(cherry picked from commit ea6b2b13886afa30d2b402627ef8e6b374216338)

M  +1    -9    kmymoney/converter/mymoneystatementreader.cpp
M  +4    -6    kmymoney/widgets/kmymoneycompletion.cpp
M  +0    -9    kmymoney/widgets/kmymoneyselector.cpp

http://commits.kde.org/kmymoney/9ab659c6878798b27572afb8c209c7498ccc9261